/*******************************************************************************
* File Name: Debugging_SCBCLK.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_Debugging_SCBCLK_H)
#define CY_CLOCK_Debugging_SCBCLK_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void Debugging_SCBCLK_StartEx(uint32 alignClkDiv);
#define Debugging_SCBCLK_Start() \
    Debugging_SCBCLK_StartEx(Debugging_SCBCLK__PA_DIV_ID)

#else

void Debugging_SCBCLK_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void Debugging_SCBCLK_Stop(void);

void Debugging_SCBCLK_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 Debugging_SCBCLK_GetDividerRegister(void);
uint8  Debugging_SCBCLK_GetFractionalDividerRegister(void);

#define Debugging_SCBCLK_Enable()                         Debugging_SCBCLK_Start()
#define Debugging_SCBCLK_Disable()                        Debugging_SCBCLK_Stop()
#define Debugging_SCBCLK_SetDividerRegister(clkDivider, reset)  \
    Debugging_SCBCLK_SetFractionalDividerRegister((clkDivider), 0u)
#define Debugging_SCBCLK_SetDivider(clkDivider)           Debugging_SCBCLK_SetDividerRegister((clkDivider), 1u)
#define Debugging_SCBCLK_SetDividerValue(clkDivider)      Debugging_SCBCLK_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define Debugging_SCBCLK_DIV_ID     Debugging_SCBCLK__DIV_ID

#define Debugging_SCBCLK_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define Debugging_SCBCLK_CTRL_REG   (*(reg32 *)Debugging_SCBCLK__CTRL_REGISTER)
#define Debugging_SCBCLK_DIV_REG    (*(reg32 *)Debugging_SCBCLK__DIV_REGISTER)

#define Debugging_SCBCLK_CMD_DIV_SHIFT          (0u)
#define Debugging_SCBCLK_CMD_PA_DIV_SHIFT       (8u)
#define Debugging_SCBCLK_CMD_DISABLE_SHIFT      (30u)
#define Debugging_SCBCLK_CMD_ENABLE_SHIFT       (31u)

#define Debugging_SCBCLK_CMD_DISABLE_MASK       ((uint32)((uint32)1u << Debugging_SCBCLK_CMD_DISABLE_SHIFT))
#define Debugging_SCBCLK_CMD_ENABLE_MASK        ((uint32)((uint32)1u << Debugging_SCBCLK_CMD_ENABLE_SHIFT))

#define Debugging_SCBCLK_DIV_FRAC_MASK  (0x000000F8u)
#define Debugging_SCBCLK_DIV_FRAC_SHIFT (3u)
#define Debugging_SCBCLK_DIV_INT_MASK   (0xFFFFFF00u)
#define Debugging_SCBCLK_DIV_INT_SHIFT  (8u)

#else 

#define Debugging_SCBCLK_DIV_REG        (*(reg32 *)Debugging_SCBCLK__REGISTER)
#define Debugging_SCBCLK_ENABLE_REG     Debugging_SCBCLK_DIV_REG
#define Debugging_SCBCLK_DIV_FRAC_MASK  Debugging_SCBCLK__FRAC_MASK
#define Debugging_SCBCLK_DIV_FRAC_SHIFT (16u)
#define Debugging_SCBCLK_DIV_INT_MASK   Debugging_SCBCLK__DIVIDER_MASK
#define Debugging_SCBCLK_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_Debugging_SCBCLK_H) */

/* [] END OF FILE */
