# Macros required for the generic driver for toolchain and/or operating system.

DESIGN= i2c_boot
CONFIG= release
TOOLCHAIN_DIR ?= C:/Program Files (x86)/Cypress/PSoC Creator/4.4/PSoC Creator/import/gnu/arm/5.4.1/bin

CC_BASE= arm-none-eabi-gcc
CC= $(TOOLCHAIN_DIR)/$(CC_BASE)

OUT_DIR_CortexM0= output/$(CONFIG)/CortexM0
CFLAGS_CortexM0= -mcpu=cortex-m0 -mthumb -I../src/system -I../src/scb -I../src/hpiss -I../src/pd_common -I../src/usb -I../src/app -I../common -I. -IGenerated_Source/PSoC4 -Wa,-alh=$(OUT_DIR_CortexM0)/$(basename $(<F)).lst -g -D NDEBUG -Wall -Werror -ffunction-sections -ffat-lto-objects -finline-functions -flto -Os

CDEPGEN_CortexM0= -MM $< -MF $(OUT_DIR_CortexM0)/$(<F).d -MT $(OUT_DIR_CortexM0)/$(@F)  $(CFLAGS_CortexM0)

LD_BASE= arm-none-eabi-gcc
LD= $(TOOLCHAIN_DIR)/$(LD_BASE)

LDFLAGS_CortexM0= -mcpu=cortex-m0 -mthumb -l ccgx_hpi_boot -L Generated_Source/PSoC4 -L ../lib/ccg5c -Wl,-Map,$(OUT_DIR_CortexM0)/$(DESIGN).map -T ./i2cboot_gcc.ld -specs=nano.specs -Wl,--gc-sections -flto -Os -g -ffunction-sections -finline-functions -Os -flto -ffat-lto-objects

AS_BASE= arm-none-eabi-as
AS= $(TOOLCHAIN_DIR)/$(AS_BASE)

ASFLAGS_CortexM0= -mcpu=cortex-m0 -mthumb -I. -IGenerated_Source/PSoC4 -alh=$(OUT_DIR_CortexM0)/$(basename $(<F)).lst -g -W

AR_BASE= arm-none-eabi-ar
AR= $(TOOLCHAIN_DIR)/$(AR_BASE)

ARFLAGS= -rs

RM= rm
RMFLAGS= -rf
